Directions ServiceAsk AIget https://us1.locationiq.com/v1/directions/{profile}/{coordinates}Finds the fastest route between coordinates in the supplied order.Path ParamsprofilestringenumrequiredMode of transportation. driving and walking are supported.drivingwalkingAllowed:drivingwalkingcoordinatesstringrequiredString of format {longitude},{latitude};{longitude},{latitude}[;{longitude},{latitude} ...] or polyline({polyline}) or polyline6({polyline6}). You can send up to a maximum of 25 coordinate pairs per request (except Nearest API where coordinates only supports a single {longitude},{latitude} entry)Query ParamsbearingsstringLimits the search to segments with given bearing in degrees towards true north in clockwise direction. List of positive integer pairs separated by semi-colon and bearings array should be equal to length of coordinate array. Accepted Value :- {bearing};{bearing}[;{bearing} ...] Each {bearing} follows the following format: {value},{range} integer 0 .. 360,integer 0 .. 180radiusesstringLimits the search to given radius in meters Radiuses array length should be same as coordinates array, each value separated by semi-colon. Accepted Value - {radius};{radius}[;{radius} ...] Each {radius} has following format: double >= 0 or unlimited (default)hintsstringHint from previous request to derive position in street network. Accepted value: {hint};{hint}[;{hint} ...]alternativesnumberSearch for alternative routes. Passing a number alternatives=n searches for up to n alternative routes. Accepted value: true, false (default), or NumberstepsstringReturned route steps for each route leg. Accepted value: true, false (default)annotationsstringDefaults to falseReturns additional metadata for each coordinate along the route geometry. Accepted value: true, false (default), nodes, distance, duration, datasources, weight, speedgeometriesstringDefaults to polylineReturned route geometry format (influences overview and per step). Accepted value: polyline (default), polyline6, geojsonoverviewstringDefaults to simplifiedAdd overview geometry either full, simplified according to highest zoom level it could be display on, or not at all. Accepted value: simplified (default), full, falsecontinue_straightstringDefaults to defaultForces the route to keep going straight at waypoints constraining uturns there even if it would be faster. Accepted value: default (default), true, false. Default value depends on the profile.waypointsstringTreats input coordinates indicated by given indices as waypoints in returned Match object. Default is to treat all input coordinates as waypoints. {index};{index};{index}... ]Responses 200OK 400Bad Request 401Unauthorized 403The request has been made from an unauthorized domain. 404No location or places were found for the given input 429Request exceeded the rate-limits set on your account 500Internal Server ErrorUpdated 11 months ago